c $Header: /usr/people/flittner/radtran/flatpsv/src/prt.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
c ---------------------------------------------------------------------

      subroutine prt(ndownlos,esi0,esing0,top,zsfc,thd,
     &nz,nlos,np,isfc)

      implicit none
      include 'param.inc'
c variables that are passed
      integer nz,nlos,ndownlos,np,isfc
      real*8 esi0(4,nfi,mlos,maxnz),esing0(4,nfi,mlos,maxnz),thd(mlos)
      real*8 top,zsfc
c variables that are local
      integer lev,ilos,jphi,jlos,m,n
      real*8 FT,QP,PLR,FTs,FTms
c
      write(61,*)' INTENSITY CALCULATION RESULTS FOR THE ZENITH'
      write(61,*)
      write(61,*)
c      write(61,1500)' INPUT SOLAR FLUX AT TOP OF ATMOSPHERE  '
      write(61,*)
      write(61,*)
      write(61,*)'                    ---------- SURFACE',
     &' RESULTS ----------'
      write(61,2000)zsfc
      write(61,*)
      write(61,*)' #####    VALUES GIVEN FOR ANGLES LESS THAN 9',
     &'0 DEGREES ONLY    #####'
      write(61,*)' ##### INTENSITIES FOR ANGLES GREATER THAN 90',
     &' DEGREES ARE ZERO #####'
      write(61,*)
      write(61,1100)
1100  format(1x,'LOS  AZIMUTH     I1         I2',
     &'         I3         I4        I1+I2     I1_ss       I2_ss')
      WRITE(61,1110)
1110  format(1x,'ANGLE  ANGLE ')

      lev=nz
      do 20 ilos=1,ndownlos
         do 10 jlos=1,nfi
            jphi=(jlos-1)*180./real(nfi-1)
            FT=esi0(1,jlos,ilos,lev)+esi0(2,jlos,ilos,lev)
            FTs=esing0(1,jlos,ilos,lev)+esing0(2,jlos,ilos,lev)
            FTms=FT-FTs
            QP=esi0(1,jlos,ilos,lev)-esi0(2,jlos,ilos,lev)
            if(FT.gt.0.0d0)then
              PLR=sqrt(QP*QP+esi0(3,jlos,ilos,lev)**2+
     &esi0(4,jlos,ilos,lev)**2)/FT*100.
            else
              PLR=0.0d0
            endif
            write(61,4100)thd(ilos),float(jphi),(ESI0(m,JLOS,ILOS,LEV),
     &m=1,4),FT,(esing0(n,jlos,ilos,lev),n=1,2),PLR
10       continue
         write(61,*)
20    continue

      write(61,*) 
      if(isfc.le.0)then
        write(61,1500)'ISOTROPIC REFLECTED INTENSITY AT SURFACE',
     &esi0(1,1,nlos,lev),esi0(2,1,nlos,lev)
      else
        write(61,1500)'REFLECTED INTENSITY AT SURFACE'
        write(61,*)
        do ilos=ndownlos+1,nlos
           do jlos=1,nfi
              jphi=(jlos-1)*180./real(nfi-1)
              FT=esi0(1,jlos,ilos,lev)+esi0(2,jlos,ilos,lev)
              FTs=esing0(1,jlos,ilos,lev)+esing0(2,jlos,ilos,lev)
              FTms=FT-FTs
              QP=esi0(1,jlos,ilos,lev)-esi0(2,jlos,ilos,lev)
              if(FT.gt.0.0d0)then
                PLR=sqrt(QP*QP+esi0(3,jlos,ilos,lev)**2+
     &esi0(4,jlos,ilos,lev)**2)/FT*100.
              else
                PLR=0.0d0
              endif
              write(61,4100)thd(ilos),float(jphi),
     &(ESI0(m,JLOS,ILOS,LEV),m=1,4),FT,(esing0(n,jlos,ilos,lev),n=1,2),
     &PLR
           enddo
           write(61,*)
      enddo
      endif
      write(61,*)
      write(61,*)

      write(61,*)'                 ---------- TOP OF',
     &' THE ATMOSPHERE ----------'
      write(61,2000) top
      write(61,*)
      write(61,*)' ##### VALUES GIVEN FOR ANGLES GREATER THAN 9',
     &'0 DEGREES ONLY  #####'
      write(61,*)' ##### INTENSITIES FOR ANGLES LESS THAN 90 DE',
     &'GREES ARE ZERO #####'
      write(61,*)
      write(61,*)
      write(61,1100)
      write(61,1110)

      lev=1
      do 40 ilos=ndownlos+1,nlos
         do 30 jlos=1,nfi
            jphi=(jlos-1)*180./real(nfi-1)
            FT=esi0(1,jlos,ilos,lev)+esi0(2,jlos,ilos,lev)
            FTs=esing0(1,jlos,ilos,lev)+esing0(2,jlos,ilos,lev)
            FTms=FT-FTs
            QP=esi0(1,jlos,ilos,lev)-esi0(2,jlos,ilos,lev)
            if(FT.gt.0.0d0)then
              PLR=sqrt(QP*QP+esi0(3,jlos,ilos,lev)**2+
     &esi0(4,jlos,ilos,lev)**2)/FT*100.
            else
              PLR=0.0d0
            endif
            write(61,4100)thd(ilos),float(jphi),(ESI0(m,JLOS,ILOS,LEV),
     &m=1,4),FT,(esing0(n,jlos,ilos,lev),n=1,2),PLR
30       continue
         write(61,*)
40    continue


1000  format(1x,f6.2,4x,i3,5x,e11.5,4x,e11.5,4x,f6.2,4x,e11.5,
     &2x,f6.2)
1500  format(7x,10('#'),1x,a40,1x,10('#'),/,28x,e11.5,', ',e11.5,
     &/,7x,62('#'))
2000  format(18x,10('-'),1x,'(height = ',f7.3,' km)',1x,10('-'))
2110  format('      ---------- (height of bottom level t',
     &'aken to be ',f6.2,' km) ----------')
4100  format(F6.2,F6.1,1P2E11.4,1P2E12.4,1P3E11.4,0Pf6.1)

      return
      end

c************************************************************************    
