c $Header: /usr/people/flittner/radtran/flatpsv/src/actfluxr.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
c ---------------------------------------------------------------------

      real*8 function actfluxr(lev,esi0r,dmu,nz,nlos,np,ndownlos,
     &idflag)

C CALCULATE ACTINIC FLUX ON THE ZENITH AT LEVEL LEV
C ESI0R IS THE AZ. Independent INTENSITY DISTRIBUTION AT THIS LEVEL
 
      implicit none
      include 'consts.cmn'
      include 'param.inc'
c variables that are passed
      integer lev,nz,nlos,np,idflag,ndownlos
      real*8 esi0r(4,mlos,maxnz),dmu(mlos)
c variables that are local
      integer i,ie,is
      real*8 sum,const
C    LEV=1 ; Then at the top of the atmosphere and is the upward case.
C    LEV=NZ; Then at the surface and is the downward case.
C The i counter variable in do loop represents theta direction.
C The k counter variable is for phi.
C The constant const is used to incorporate the symmetry used.

      sum=0.0
      if(idflag.eq.0)then
        is=1 
        ie=ndownlos
      else
        is=1+ndownlos
        ie=nlos
      endif
      if(np.gt.1)then
        do i=is,ie
           const=dmu(i)*2.0d0*pi
           sum=sum+(esi0r(1,i,lev)+esi0r(2,i,lev))*const
        enddo
      else
        do i=is,ie
           const=dmu(i)*2.0d0*pi
           sum=sum+esi0r(1,i,lev)*const
        enddo
      endif
      actfluxr=sum
      return
      end
c ---------------------------------------------------------------------
