c $Header: /usr/people/flittner/radtran/flatpsv/src/avgphsphi.f,v 1.14 1999/08/16 18:59:08 flittner Exp flittner $
C*************************************************************************
      subroutine avgphsphi(rmatrx,nlos,forview,Pr0mat)
c
c average the phase matrix over azimuth angle.
c
      implicit none
      include 'param.inc'
c variables that are passed
      integer nlos
      real*8  rmatrx(4,4,nfi,mlos,mlos),Pr0mat(4,4,mlos,mlos)
      logical forview
c variables that are local
      integer kfmat,jprim,i,n,m
      real*8 pn(4,4)
c
c I1 and I2 are azimuthally symmetric, so just need average phase function
c with respect to phi.
c Oh, remember that I3 and I4 are zero for this case, so only need to do the
c upper left hand corner of the phase matrix.
c
C*************************************************************************
      if(forview)then
        do jprim=1,nlos
c first average phase matrix over azimuth for one input theta direction
           do n=1,4
              do m=1,4
                 pn(m,n)=rmatrx(m,n,1,jprim,1)
              enddo
           enddo
           do kfmat=2,nfi
              do n=1,4
                 do m=1,4
                    pn(m,n)=pn(m,n)+rmatrx(m,n,kfmat,jprim,1)
                 enddo
              enddo
           enddo
           do kfmat=1,nfi-2
              do n=1,4
                 do m=1,4
                    pn(m,n)=pn(m,n)+rmatrx(m,n,kfmat,jprim,2)
                 enddo
              enddo
           enddo
c
           do n=1,4
              do m=1,4
                 Pr0mat(m,n,jprim,1)=pn(m,n)
              enddo
           enddo
        enddo
      else
        do i=1,nlos
           do jprim=1,nlos
c first average phase matrix over azimuth for one input theta direction
c forward: kfmat=1
              do n=1,4
                 do m=1,4
                    pn(m,n)=rmatrx(m,n,1,jprim,i)
                 enddo
              enddo
              do kfmat=2,nfi-1
                 do n=1,4
                    do m=1,4
                       pn(m,n)=pn(m,n)+2.0d0*rmatrx(m,n,kfmat,jprim,i)
                    enddo
                 enddo
              enddo
c backscattering: kfmat=nfi
              do n=1,4
                 do m=1,4
                    pn(m,n)=pn(m,n)+rmatrx(m,n,nfi,jprim,i)
                 enddo
              enddo
c
              do n=1,4
                 do m=1,4
                    Pr0mat(m,n,jprim,i)=pn(m,n)
                 enddo
              enddo
           enddo
        enddo
      endif
      return
      end
C*************************************************************************
