c $Header: /usr/people/flittner/radtran/flatpsv/src/avgrayphs.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
	subroutine avgrayphs(costh,sinth,dmu,rmatrx,
     &gamma,nlos,np,aniso,Pr0mat,forview)
c
c compute the azimuth independent term of the rayleigh scattering
c matrix
c
      implicit none
      include 'param.inc'
      include 'consts.cmn'
	integer nlos,np
	real*8 dmu(mlos),costh(mlos),sinth(mlos),
     &rmatrx(4,4,nfi,mlos,mlos),gamma,Pr0mat(4,4,mlos,mlos)
        logical aniso,forview
c variables that are local
	integer i,n,j,m
        real*8 amup,sum
        logical usepray0
c
	usepray0=.true.
c average the phase matrix over azimuth angles
        if(usepray0)then
          do i=1,nlos
c compute for one incident direction
             amup=-costh(i)
             do j=1,nlos
                call pray0(amup,sinth(i),costh(j),sinth(j),gamma,
     &Pr0mat(1,1,i,j),np,aniso)
             enddo
c now compute the energy normalization constant
             sum=0.0d0
             do j=1,nlos
                do n=1,min(2,np)
                   do m=1,min(2,np)
                      sum=sum+Pr0mat(m,n,i,j)*dmu(j)
                   enddo
                enddo
             enddo
             if(np.gt.1)sum=sum*0.5d0
c normalize the rmatrx for this incident direction
             sum=1.0d0/sum/df
             do j=1,nlos
                do n=1,np
                   do m=1,np
                      Pr0mat(m,n,i,j)=Pr0mat(m,n,i,j)*sum
                   enddo
                enddo
             enddo
          enddo
        else
          call avgphsphi(rmatrx,nlos,forview,Pr0mat)
        endif
        return
        end
************************************************************************
