c $Header: /usr/people/flittner/radtran/flatpsv/src/otherray.f,v 1.14 1999/08/16 18:57:13 flittner Exp flittner $
      subroutine otherray(cossun,sinsun,costh,sinth,cosn,
     &sinn)
c
c calc the rayleigh scattering phase function for the input angles
c acos(cossun) and output acos(costh), acos(cosn)
c
      implicit none
      include 'consts.cmn'
c
c passed
      real*8 cossun,sinsun,costh,sinth,cosn,sinn
c local
      integer n,m
      real*8 C,S,CS,SS,cpsis,cpsi,calf0,phiout,phiin,const,p(4,4)
      complex*16 r1,r2
c
c compute the angles for this problem so we can rotate the scattering
c matrix from the scattering plane to the vertical plane
c
      phiout=acos(cosn)
      phiin=0.0d0
      call crotang(costh,phiout,cossun,phiin,c,s,cs,ss,cpsis,cpsi,
     &calf0)
c
c simple expression is just
c
      const=sqrt(3.0d0/8.0d0/acos(-1.0d0))
      r1=const*cmplx(1.0d0,0.0d0)
      r2=const*cmplx(calf0,0.0d0)
c 
c compute the reflection matrix transformed to the vertical plane
c first rotate angle -psip in clockwise direction and then (pi-psi) in CW
c
        ss=-ss
        s=-s
        call scat2vert(r1,r2,C,S,Cs,Ss,p)
        write(6,*)acos(calf0)/acos(-1.0d0)*180.0d0
        write(6,2200)((p(n,m),m=1,4),n=1,4)
        write(6,*)(p(1,1)+p(1,2)+p(2,1)+p(2,2))*0.5
        write(6,*)(1.0+cos(calf0)*cos(calf0))*const*const
2200   format(4(1P4E12.4,/))
      return
      end
