      subroutine aermodel(imod,ityp,lam,rIOR1,iIOR1,rIOR2,iIOR2,
     &sig1,r1,N1,sig2,r2,N2)
C***********************************************************************
C	AUTHOR: Alexander P. Vasilkov
C
C	FUNCTION:
C	
C	HISTORY: Developed October 11, 2000
C	Modified 05/16/2001 to eliminate common blocks
C
C***********************************************************************
      implicit none
            
      integer i,j,nmodel,imod,ityp,ibuf      
      real r1,sig1,n1,r2,sig2,n2
      real lam(12),rIOR1(12),iIOR1(12),rIOR2(12),iIOR2(12)

      character*60 buf1(3),buf2(14)
      
      parameter(nmodel=23)
        
C---------------read in data on aerosol models

      open(30,file='aer_model.dat',status='old')
      read(30,'(a)') (buf1(j),j=1,3)

      do i=1,nmodel
      if(i.ne.imod) then
         read(30,'(a)') (buf2(j),j=1,14)
      else if(ityp.eq.4) then
         read(30,*) ibuf
         read(30,*) ityp,r1,sig1,n1,r2,sig2,n2
         do j=1,12 
            read(30,*) lam(j),rIOR1(j),iIOR1(j),rIOR2(j),iIOR2(j)
         enddo
      else if(ityp.eq.2) then
         read(30,*) ibuf
         read(30,*) ityp,r1,sig1
         n1=1.0
         do j=1,12 
            read(30,*) lam(j),rIOR1(j),iIOR1(j)
         enddo
      endif
      enddo

      close(30)
      return
      end
