c $Header: /usr/people/flittner/radtran/flatpsv/src/findcoe.f,v 1.14 1999/08/16 18:59:08 flittner Exp flittner $
c ---------------------------------------------------------------------
c this is a subroutine for determining the coefficients for a quadratic
c given 3 x,y pairs.  It is assumed that even delta x is true.
c
      subroutine findcoe(y1,y2,y3,x1,dx,a)
c
      implicit none
c
      real*8 y1,y2,y3,x1,dx,a(3)
c
c first for the x^2 coefficient.
c
      a(3)=y1-y2-y2+y3
      a(3)=a(3)/2.0d0/dx/dx
c
c now for the linear term
c
      a(2)=(y2-y3)*(x1+x1+dx)-(y1-y2)*(x1+x1+dx+dx+dx)
      a(2)=a(2)/2.0d0/dx/dx
c
c now for the constant term
c
      a(1)=y1-a(3)*x1*x1-a(2)*x1
      return
      end
c ---------------------------------------------------------------------
