c $Header: /usr/people/flittner/radtran/flatpsv/src/chkfgeo.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
	subroutine chkfgeo(convrg,finish,fluxes,lefd,lefu)
c
c check the geometric series for the fluxes at top and bottom
c
	implicit none
        real*8 fluxes(3,2)
        real*8 et1,et2,et3,stol,S,convrg,excess
        real*8 r,e3me2,e2me1
c        real*8 geoseries
c        external geoseries
        integer i
        logical finish,lefd,lefu
c
        stol=convrg
        finish=.TRUE.
	do i=1,2
           et1=fluxes(1,i)
           et2=fluxes(2,i)
           et3=fluxes(3,i)
c do the geoseries explicitly here
           e3me2=et3-et2
           e2me1=et2-et1
           if((e3me2.ne.e2me1).and.(e2me1.ne.0.0d0))then
             r=e3me2/e2me1
             S=et1+e2me1/(1.0d0-r)
           else
             r=1.0d0
             S=et3
           endif
c           S=geoseries(et1,et2,et3)
           if(et3.ne.0.0d0)then
             excess=(S/et3-1.0d0)*100.0d0
           else if(S.ne.0.0d0)then
             excess=100.0d0
           else
             excess=0.0d0
           endif
c write what the series fluxes should be
           if(i.eq.1)then
             write(6,1000)S,et3,excess
             if(lefd)write(42,'(1P4E12.4)')et3,e3me2,S,r
           else
             write(6,1010)S,et3,excess
             if(lefu)write(43,'(1P4E12.4)')et3,e3me2,S,r
           endif
c check to see if S/et3 is less than stol. and that r < 1.
           if((abs(excess).gt.stol).or.(r.ge.1.0)) finish=.FALSE.
        enddo
	return
1000    format(' chkfgeo. estimated dnflux=',f8.4,
     &';current dnflux=',f8.4,';delta flux=',f8.2,'%')
1010    format(' chkfgeo. estimated upflux=',f8.4,
     &';current upflux=',f8.4,';delta flux=',f8.2,'%')
1020    format(' chkfgeo. series adds ',f8.4,' % to dnflux')
1025    format(' chkfgeo. series adds ',f8.4,' % to upflux')
1030    format(' chkfgeo. last 3 fluxes=',3f8.4)
        end
