c $Header: /usr/people/flittner/radtran/flatpsv/src/chkigeo.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
	subroutine chkigeo(mlos,maxnz,nfi,nlos,nz,np,igeoindx,
     &convrg,finish,esi0)
c
c check the geometric series for the intensities
c
	implicit none
	integer nz,np,nlos,igeoindx(3),nfi,mlos,maxnz
        real*8 esi0(4,nfi,mlos,maxnz)
        real*8 et1,et2,et3,stol,S,convrg,e1(4),e2(4),e3(4),excess
        real*8 geoseries
        external geoseries
        integer n,j,i,l,i1,i2,i3
        logical finish,doit
c
        data doit/.TRUE./
c
        finish=.TRUE.
        stol=convrg
        i1=igeoindx(1)
        i2=igeoindx(2)
        i3=igeoindx(3)
        do l=1,nz
	   do i=1,nlos
              do j=1,nfi
                 read(i1,*)(e1(n),n=1,np)
                 read(i2,*)(e2(n),n=1,np)
                 read(i3,*)(e3(n),n=1,np)
                 n=1
                 et1=e1(1)
                 et2=e2(1)
                 et3=e3(1)
                 if(et3.ne.0.0d0)then
                   S=geoseries(et1,et2,et3)
c check to see if S/et3 is less than stol.
                   excess=abs(S/et3-1.0d0)*100.0d0
                   if(excess.ge.stol)then
                     write(6,1020)excess,n,j,i,L
                     close(i1)
                     rewind(i2)
                     rewind(i3)
                     finish=.FALSE.
                     return
                   endif
                 endif
                 if(np.gt.1)then
                   n=2
                   et1=e1(2)
                   et2=e2(2)
                   et3=e3(2)
                   if(et3.ne.0.0d0)then
                     S=geoseries(et1,et2,et3)
c check to see if S/et3 is less than stol.
                     excess=abs(S/et3-1.0d0)*100.0d0
                     if(excess.ge.stol)then
                       write(6,1020)excess,n,j,i,L
                       close(i1)
                       rewind(i2)
                       rewind(i3)
                       finish=.FALSE.
                       return
                     endif
                   endif
                 endif
              enddo
           enddo
        enddo
        rewind(i1)
        rewind(i2)
        rewind(i3)
c finish using geometric series
        do l=1,nz
	   do i=1,nlos
              do j=1,nfi
                 read(i1,*)(e1(n),n=1,np)
                 read(i2,*)(e2(n),n=1,np)
                 read(i3,*)(e3(n),n=1,np)
                 do n=1,np
                    et1=e1(n)
                    et2=e2(n)
                    et3=e3(n)
                    if(et3.ne.0.0d0)then
                      S=geoseries(et1,et2,et3)
                      if(doit)esi0(n,j,i,l)=S
                    endif
                 enddo
              enddo
           enddo
        enddo
        close(i1)
        close(i2)
        close(i3)
        return
1020    format(' chkigeo. series adds ',f8.4,' % to ',3I3,I4)
        end
