c $Header: /usr/people/flittner/radtran/flatpsv/src/fluxr.f,v 1.14 1999/08/16 18:59:08 flittner Exp flittner $
c ---------------------------------------------------------------------

	real*8 function fluxr(lev,ndownlos,esi0r,deltmu,nz,nlos,np,iflag)

C CALCULATE FLUX UP OR DOWN ON THE ZENITH THROUGH LEVEL LEV
C ESI0 IS THE INTENSITY DISTRIBUTION AT THIS LEVEL
 
      implicit none
      include 'consts.cmn'
      include 'param.inc'
c variables that are passed
	integer lev,ndownlos,nz,nlos,np,iflag
	real*8 esi0r(4,mlos,maxnz),deltmu(mlos)
c variables that are local
	integer ie,i,is
	real*8 sum,const,pi2
C FIRST SET RANGE FOR THETA INTEGRATION FOR FLUX UP OR DOWN BY CHECKING
C IFLAG.
C    LEV=1  THEN AT THE TOP OF THE ATMOSPHERE AND IS THE UPWARD CASE
C    LEV=NZ THEN AT THE SURFACE AND IS THE DOWNWARD CASE
C IS DENOTES THE STARTING POINT OF THE SUMMATION
C IE DENOTES THE ENDING POINT OF THE SUMMATION
C THE I COUNTER VARIABLE IN DO LOOP REPRESENTS THETA DIRECTION
C THE K COUNTER VARIABLE IS FOR PHI
C THE CONSTANT C IS USED TO INCORPORATE THE SYMMETRY USED

      pi2=2.0d0*pi
      if(iflag.eq.1)then
         is=ndownlos+1
         ie=nlos
      else if(iflag.eq.0)then
         is=1
         ie=ndownlos
      endif
      sum=0.0
      do 1 i=is,ie
	  const=deltmu(i)*pi2
          sum=sum+esi0r(1,i,lev)*const
	  if(np.gt.1)then
          	sum=sum+esi0r(2,i,lev)*const
	  endif
1     continue
      fluxr=sum

      return
      end

c ---------------------------------------------------------------------
