c $Header: /usr/people/flittner/radtran/flatpsv/src/mucomput.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
c ---------------------------------------------------------------------

      subroutine mucomput(dmu,deltmu,ndownlos,th,nlos)

C COMPUTE THE DELTA MU VALUES NEEDED FOR THE FLUX COMPUTATIONS

      implicit none
      include 'consts.cmn'
      include 'param.inc'
c variables that are passed
      integer nlos,ndownlos
      real*8 dmu(mlos), deltmu(mlos), th(mlos)
c variables that are local
      integer i
      real*8 x1,x2,amu1,amu2
c
c first interval
      x1=(th(2)+th(1))*.5d0
      deltmu(1)=(1.0d0-(cos(x1)*cos(x1)))*.5d0
      dmu(1)=1.0d0-cos(x1)
c last interval
      x2=180.0d0*dr
      x1=(th(nlos)+th(nlos-1))*.5d0
      amu2=cos(x1)*cos(x1)
      amu1=cos(x2)*cos(x2)
      deltmu(nlos)=(amu2-amu1)*.5d0
      dmu(nlos)=cos(x1)-cos(x2)
c all other intervals
      do 10 i=2,ndownlos-1
         x2=(th(i)+th(i-1))*.5d0
         x1=(th(i)+th(i+1))*.5d0
         amu1=cos(x1)*cos(x1)
         amu2=cos(x2)*cos(x2)
         deltmu(i)=(amu2-amu1)*.5d0
         dmu(i)=cos(x2)-cos(x1)
10    continue
c interval before 90.0 degrees
      i=ndownlos
      x1=90.0d0*dr
      x2=(th(i)+th(i-1))*.5d0
      amu1=cos(x1)*cos(x1)
      amu2=cos(x2)*cos(x2)
      deltmu(i)=(amu2-amu1)*.5d0
      dmu(i)=cos(x2)-cos(x1)
c interval after 90.0 degrees
      i=ndownlos+1
      x1=(th(i+1)+th(i))*.5d0
      x2=90.0d0*dr
      amu1=cos(x1)*cos(x1)
      amu2=cos(x2)*cos(x2)
      deltmu(i)=(amu2-amu1)*.5d0
      dmu(i)=cos(x2)-cos(x1)
c all other intervals
      do 20 i=ndownlos+2,nlos-1
         x2=(th(i)+th(i-1))*.5d0
         x1=(th(i)+th(i+1))*.5d0
         amu1=cos(x1)*cos(x1)
         amu2=cos(x2)*cos(x2)
         deltmu(i)=(amu2-amu1)*.5d0
         dmu(i)=cos(x2)-cos(x1)
20    continue

      return
      end

c ---------------------------------------------------------------------
